Skip to main content
GET
/
payments
/
transaction
/
{transaction_id}
Get payment by transaction ID
curl --request GET \
  --url https://api.pcxpay.com/v1/payments/transaction/{transaction_id} \
  --header 'Authorization: Bearer <token>'
{
  "payment_id": "<string>",
  "amount": 123,
  "currency": "<string>",
  "user_id": "<string>",
  "status": "initiated",
  "direction": "inbound",
  "payment_method": "bank_transfer",
  "org_id": "<string>",
  "beneficiary_id": "<string>",
  "transaction_id": "<string>",
  "target_amount": 123,
  "target_currency": "<string>",
  "from_currency": "<string>",
  "region_id": "<string>",
  "payment_path_method": "direct",
  "bank_account": {},
  "card_details": {},
  "mobile_money_details": {},
  "payer_details": {},
  "recipient_info": {},
  "metadata": {},
  "user_metadata": {},
  "webhook_metadata": {},
  "fee_ids": [
    "<string>"
  ],
  "total_fees": 123,
  "provider": "manual",
  "provider_payment_id": "<string>",
  "provider_status": "<string>",
  "provider_data": {},
  "payout_initiated": true,
  "payout_id": "<string>",
  "instructions": "<string>",
  "comments": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

transaction_id
string
required

Response

Payment object

payment_id
string
amount
number<float>
currency
string
user_id
string
status
enum<string>
Available options:
initiated,
reviewed,
confirmed,
processing,
pending,
completed,
failed,
refunded,
rejected,
canceled
direction
enum<string>
Available options:
inbound,
outbound,
external
payment_method
enum<string>
Available options:
bank_transfer,
card,
mobile_money,
crypto,
wallet
org_id
string | null
beneficiary_id
string
transaction_id
string | null
target_amount
number<float> | null
target_currency
string | null
from_currency
string | null
region_id
string | null
payment_path_method
enum<string> | null
Available options:
direct,
intermediary,
third_party
bank_account
object
card_details
object
mobile_money_details
object
payer_details
object
recipient_info
object
metadata
object
user_metadata
object
webhook_metadata
object
fee_ids
string[]
total_fees
number<float> | null
provider
enum<string> | null
Available options:
manual,
crypto,
fiat,
hybrid,
sarepay,
paystack,
flutterwave,
truelayer,
yellowcard,
stripe,
paypal,
trustpayment,
squad
provider_payment_id
string | null
provider_status
string | null
provider_data
object
payout_initiated
boolean
payout_id
string | null
instructions
string | null
comments
string | null
created_at
string<date-time>
updated_at
string<date-time>